Bug 190581 - several kde apps crashing at XftFontOpenInfo
several kde apps crashing at XftFontOpenInfo
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kdepim (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-03 15:00 EDT by Sami Farin
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-10 09:14:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sami Farin 2006-05-03 15:00:20 EDT
Description of problem:
at startup many kde programs like korganizer just abort after glibc detects mem
corruption.

Version-Release number of selected component (if applicable):
3.5.2-1

How reproducible:
always

Steps to Reproduce:
1. start korganizer
2.
3.
  
Actual results:
glibc aborts program

Expected results:
starting korganizer

Additional info:

libXft-2.1.8.2-3.2 qt-3.3.6-1 -i386
glibc-2.4-5 -i686

*** glibc detected *** korganizer: corrupted double-linked list: 0x02130158 ***

(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".
(no debugging symbols found)
`system-supplied DSO at 0x158000' has disappeared; keeping its symbols.
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1208342864 (LWP 1797)]
[KCrash handler]
#6  0x00158402 in __kernel_vsyscall ()
#7  0x02028159 in raise () from /lib/libc.so.6
#8  0x020296e3 in abort () from /lib/libc.so.6
#9  0x0205ca0b in __libc_message () from /lib/libc.so.6
#10 0x0206229f in malloc_consolidate () from /lib/libc.so.6
#11 0x0206434a in _int_malloc () from /lib/libc.so.6
#12 0x02065c6c in malloc () from /lib/libc.so.6
#13 0x007d2b9b in XftFontOpenInfo () from /usr/lib/libXft.so.2
#14 0x007d2f6a in XftFontOpenPattern () from /usr/lib/libXft.so.2
#15 0x0762d1c3 in QFontDatabase::styleString ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#16 0x07632551 in QFontDatabase::findFont ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#17 0x075aee63 in QFontPrivate::load () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#18 0x07621101 in QFontMetrics::minLeftBearing ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#19 0x076fe92b in QTextFormat::update () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#20 0x076d99ee in QTextFormat::makeTextFormat ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#21 0x076ed2ce in QTextDocument::setRichTextInternal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#22 0x076f275f in QTextDocument::setRichText ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#23 0x076f27fb in QTextDocument::setText ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#24 0x077ef87e in QTextEdit::setText () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#25 0x077de4ad in QTextBrowser::setText ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#26 0x007b54de in KOEventViewer::clearEvents ()
   from /usr/lib/libkorganizer_eventviewer.so.1
#27 0x007b5556 in KOEventViewer::setIncidence ()
   from /usr/lib/libkorganizer_eventviewer.so.1
#28 0x04cab989 in CalendarView::CalendarView ()
   from /usr/lib/libkorganizer.so.1
#29 0x080503cf in QGList::count ()
#30 0x0805196a in QPtrList<KOrg::Part>::~QPtrList ()
#31 0x08051eb9 in QPtrList<KOrg::Part>::~QPtrList ()
#32 0x0035e4cf in KUniqueApplication::processDelayed ()
   from /usr/lib/libkdecore.so.4
#33 0x00373838 in KUniqueApplication::qt_invoke ()
   from /usr/lib/libkdecore.so.4
#34 0x0805171f in QPtrList<KOrg::Part>::~QPtrList ()
#35 0x0766dc1a in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#36 0x079f871e in QSignal::signal () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#37 0x0768c037 in QSignal::activate () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#38 0x07694c03 in QSingleShotTimer::event ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#39 0x07604cab in QApplication::internalNotify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#40 0x076062b9 in QApplication::notify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#41 0x00397343 in KApplication::notify () from /usr/lib/libkdecore.so.4
#42 0x075f8bcc in QEventLoop::activateTimers ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#43 0x075ad27f in QEventLoop::processEvents ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#44 0x0761e375 in QEventLoop::enterLoop ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#45 0x0761e21e in QEventLoop::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#46 0x076048ef in QApplication::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#47 0x0804fea4 in ?? ()
#48 0x020157e4 in __libc_start_main () from /lib/libc.so.6
#49 0x0804fc61 in ?? ()

======= Memory map: ========
00111000-00126000 r-xp 00000000 16:08 118128887 
/usr/lib/qt-3.3/plugins/styles/bluecurve.so
00126000-00127000 rwxp 00015000 16:08 118128887 
/usr/lib/qt-3.3/plugins/styles/bluecurve.so
00127000-00134000 r-xp 00000000 16:08 127124167  /usr/lib/libkabc_file.so.1.0.0
00134000-00135000 rwxp 0000c000 16:08 127124167  /usr/lib/libkabc_file.so.1.0.0
00135000-0013e000 r-xp 00000000 16:01 64274575   /lib/libnss_files-2.4.so
0013e000-0013f000 r-xp 00008000 16:01 64274575   /lib/libnss_files-2.4.so
0013f000-00140000 rwxp 00009000 16:01 64274575   /lib/libnss_files-2.4.so
00140000-00149000 r-xp 00000000 16:08 33744296  
/usr/lib/qt-3.3/plugins/inputmethods/libqimsw-multi.so
00149000-0014a000 rwxp 00008000 16:08 33744296  
/usr/lib/qt-3.3/plugins/inputmethods/libqimsw-multi.so
0014a000-0014e000 r-xp 00000000 16:08 33739692  
/usr/lib/qt-3.3/plugins/inputmethods/libqimsw-none.so
0014e000-0014f000 rwxp 00003000 16:08 33739692  
/usr/lib/qt-3.3/plugins/inputmethods/libqimsw-none.so
00158000-00159000 r-xp 00158000 00:00 0          [vdso]
00159000-00172000 r-xp 00000000 16:01 64552327   /lib/ld-2.4.so
00172000-00173000 r-xp 00018000 16:01 64552327   /lib/ld-2.4.so
00173000-00174000 rwxp 00019000 16:01 64552327   /lib/ld-2.4.so
00176000-001d7000 r-xp 00000000 16:08 127016494  /usr/lib/libmng.so.1.0.0
001d7000-001da000 rwxp 00060000 16:08 127016494  /usr/lib/libmng.so.1.0.0
001dc000-00446000 r-xp 00000000 16:08 128121568  /usr/lib/libkdecore.so.4.2.0
00446000-00457000 rwxp 00269000 16:08 128121568  /usr/lib/libkdecore.so.4.2.0
00457000-00459000 rwxp 00457000 00:00 0 
0045b000-0058c000 r-xp 00000000 16:08 128016837  /usr/lib/libkcal.so.2.0.0
0058c000-0059c000 rwxp 00131000 16:08 128016837  /usr/lib/libkcal.so.2.0.0
0059c000-0059d000 rwxp 0059c000 00:00 0 
0059f000-00606000 r-xp 00000000 16:08 127109782  /usr/lib/libkutils.so.1.2.0
00606000-0060b000 rwxp 00067000 16:08 127109782  /usr/lib/libkutils.so.1.2.0
0060b000-00616000 r-xp 00000000 16:08 33744295  
/usr/lib/qt-3.3/plugins/inputmethods/libqxim.so
00616000-00617000 rwxp 0000a000 16:08 33744295  
/usr/lib/qt-3.3/plugins/inputmethods/libqxim.so
00619000-00648000 r-xp 00000000 16:08 126896481  /usr/lib/libidn.so.11.5.15
00648000-00649000 rwxp 0002f000 16:08 126896481  /usr/lib/libidn.so.11.5.15
0066d000-00691000 r-xp 00000000 16:08 33744294  
/usr/lib/qt-3.3/plugins/inputmethods/libqsimple.so
00691000-00692000 rwxp 00024000 16:08 33744294  
/usr/lib/qt-3.3/plugins/inputmethods/libqsimple.so
006d2000-006d7000 r-xp 00000000 16:08 128121469 
/usr/lib/libkorganizer_calendar.so.1.0.0
006d7000-006d8000 rwxp 00005000 16:08 128121469 
/usr/lib/libkorganizer_calendar.so.1.0.0
006da000-006df000 r-xp 00000000 16:08 126419825  /usr/lib/libqgpgme.so.0.0.0
006df000-006e0000 rwxp 00005000 16:08 126419825  /usr/lib/libqgpgme.so.0.0.0
006e2000-006e4000 r-xp 00000000 16:08 128550324  /usr/lib/libkocorehelper.so.1.0.0
006e4000-006e5000 rwxp 00001000 16:08 128550324  /usr/lib/libkocorehelper.so.1.0.0
006ea000-00719000 r-xp 00000000 16:08 127700004  /usr/lib/liblcms.so.1.0.15
00719000-0071b000 rwxp 0002e000 16:08 127700004  /usr/lib/liblcms.so.1.0.15
0071b000-0071d000 rwxp 0071b000 00:00 0 
0071f000-0075f000 r-xp 00000000 16:08 10174965   /usr/lib/qt-3.3/lib/libqui.so.1.0.0
0075f000-00761000 rwxp 00040000 16:08 10174965   /usr/lib/qt-3.3/lib/libqui.so.1.0.0
00763000-007a7000 r-xp 00000000 16:08 126114182  /usr/lib/libgpgme++.so.0.2.0
007a7000-007a9000 rwxp 00044000 16:08 126114182  /usr/lib/libgpgme++.so.0.2.0
007ab000-007bf000 r-xp 00000000 16:08 128079865 
/usr/lib/libkorganizer_eventviewer.so.1.0.0
007bf000-007c1000 rwxp 00013000 16:08 128079865 
/usr/lib/libkorganizer_eventviewer.so.1.0.0
007c7000-007da000 r-xp 00000000 16:08 126638304  /usr/lib/libXft.so.2.1.2
007da000-007db000 rwxp 00012000 16:08 126638304  /usr/lib/libXft.so.2.1.2
007e6000-007e9000 r-xp 00000000 16:08 127700006  /usr/lib/libXrandr.so.2.0.0
007e9000-007ea000 rwxp 00002000 16:08 127700006  /usr/lib/libXrandr.so.2.0.0
007ec000-00802000 r-xp 00000000 16:08 128550351  /usr/lib/libkdesu.so.4.2.0
00802000-00803000 rwxp 00015000 16:08 128550351  /usr/lib/libkdesu.so.4.2.0
00805000-008da000 r-xp 00000000 16:08 87169725   /usr/local/lib/libstdc++.so.6.0.7
008da000-008df000 rwxp 000d5000 16:08 87169725   /usr/local/lib/libstdc++.so.6.0.7
008df000-008e5000 rwxp 008df000 00:00 0 
008e7000-0091d000 r-xp 00000000 16:08 126638285  /usr/lib/libDCOP.so.4.2.0
0091d000-0091e000 rwxp 00036000 16:08 126638285  /usr/lib/libDCOP.so.4.2.0
0091e000-00920000 rwxp 0091e000 00:00 0 
00922000-0094e000 r-xp 00000000 16:08 128121534  /usr/lib/libkdefx.so.4.2.0
0094e000-0094f000 rwxp 0002b000 16:08 128121534  /usr/lib/libkdefx.so.4.2.0
0094f000-00950000 rwxp 0094f000 00:00 0 
00952000-0099b000 r-xp 00000000 16:08 128550360  /usr/lib/libkparts.so.2.1.0
0099b000-009a0000 rwxp 00048000 16:08 128550360  /usr/lib/libkparts.so.2.1.0
009a2000-009b3000 r-xp 00000000 16:08 128550358  /usr/lib/libkwalletclient.so.1.0.1
009b3000-009b4000 rwxp 00011000 16:08 128550358  /usr/lib/libkwalletclient.so.1.0.1
009b6000-009c0000 r-xp 00000000 16:08 128121465  /usr/lib/libkholidays.so.1.0.0
009c0000-009c1000 rwxp 00009000 16:08 128121465  /usr/lib/libkholidays.so.1.0.0
009c1000-009c3000 rwxp 009c1000 00:00 0 
009c5000-009d8000 r-xp 00000000 16:08 128121441  /usr/lib/libktnef.so.1.0.0
009d8000-009d9000 rwxp 00013000 16:08 128121441  /usr/lib/libktnef.so.1.0.0
009db000-00a1d000 r-xp 00000000 16:08 128121457  /usr/lib/libknewstuff.so.1.0.0
00a1d000-00a20000 rwxp 00041000 16:08 128121457  /usr/lib/libknewstuff.so.1.0.0
00a22000-00a34000 r-xp 00000000 16:08 127015746  /usr/lib/libkimproxy.so.0.0.0
00a34000-00a35000 rwxp 00012000 16:08 127015746  /usr/lib/libkimproxy.so.0.0.0
00a45000-00a5c000 r-xp 00000000 16:08 127018777  /usr/lib/libICE.so.6.3.0
00a5c000-00a5d000 rwxp 00016000 16:08 127018777  /usr/lib/libICE.so.6.3.0
00a5d000-00a5f000 rwxp 00a5d000 00:00 0 
00a61000-00a69000 r-xp 00000000 16:08 126253779  /usr/lib/libSM.so.6.0.0
00a69000-00a6a000 rwxp 00008000 16:08 126253779  /usr/lib/libSM.so.6.0.0
00a6c000-00a74000 r-xp 00000000 16:08 126415408  /usr/lib/libXrender.so.1.3.0
00a74000-00a75000 rwxp 00007000 16:08 126415408  /usr/lib/libXrender.so.1.3.0
00a77000-00a7c000 r-xp 00000000 16:08 125874863  /usr/lib/libXdmcp.so.6.0.0
00a7c000-00a7d000 rwxp 00004000 16:08 125874863  /usr/lib/libXdmcp.so.6.0.0
00a83000-00a85000 r-xp 00000000 16:08 127930986  /usr/lib/libXau.so.6.0.0
00a85000-00a86000 rwxp 00001000 16:08 127930986  /usr/lib/libXau.so.6.0.0
00a88000-00aac000 r-xp 00000000 16:08 127928431  /usr/lib/libkresources.so.1.2.0
00aac000-00aae000 rwxp 00023000 16:08 127928431  /usr/lib/libkresources.so.1.2.0
00ab0000-00ad5000 r-xp 00000000 16:08 127982613  /usr/lib/libkpimidentities.so.1.0.0
00ad5000-00ad7000 rwxp 00024000 16:08 127982613  /usr/lib/libkpimidentities.so.1.0.0
00ad9000-00adb000 r-xp 00000000 16:08 125833098  /usr/lib/libXinerama.so.1.0.0
00adb000-00adc000 rwxp 00001000 16:08 125833098  /usr/lib/libXinerama.so.1.0.0
00ae0000-00ae6000 r-xp 00000000 16:01 64552343   /lib/libacl.so.1.1.0
00ae6000-00ae7000 rwxp 00005000 16:01 64552343   /lib/libacl.so.1.1.0
00ae9000-00aec000 r-xp 00000000 16:01 64552342   /lib/libattr.so.1.1.0
00aec000-00aed000 rwxp 00002000 16:01 64552342   /lib/libattr.so.1.1.0
00b13000-00b1e000 r-xp 00000000 16:01 64552346   /lib/libgcc_s.so.1
00b1e000-00b1f000 rwxp 0000a000 16:01 64552346   /lib/libgcc_s.so.1
00b21000-00b4c000 r-xp 00000000 16:08 128550354 
/usr/lib/libkorg_stdprinting.so.1.0.0
00b4c000-00b4e000 rwxp 0002b000 16:08 128550354 
/usr/lib/libkorg_stdprinting.so.1.0.0
00b6a000-00b6e000 r-xp 00000000 16:08 126191067  /usr/lib/libXfixes.so.3.0.0
00b6e000-00b6f000 rwxp 00003000 16:08 126191067  /usr/lib/libXfixes.so.3.0.0
00b71000-00b7a000 r-xp 00000000 16:08 126475230  /usr/lib/libXcursor.so.1.0.2
00b7a000-00b7b000 rwxp 00008000 16:08 126475230  /usr/lib/libXcursor.so.1.0.2
00ba1000-00bb0000 r-xp 00000000 16:08 126968075  /usr/lib/libXext.so.6.4.0
00bb0000-00bb1000 rwxp 0000e000 16:08 126968075  /usr/lib/libXext.so.6.4.0
00bd7000-00cd0000 r-xp 00000000 16:08 125976432  /usr/lib/libX11.so.6.2.0
00cd0000-00cd4000 rwxp 000f9000 16:08 125976432  /usr/lib/libX11.so.6.2.0
00cd6000-00d94000 r-xp 00000000 16:08 127015782  /usr/lib/libkabc.so.1.2.0
00d94000-00d99000 rwxp 000be000 16:08 127015782  /usr/lib/libkabc.so.1.2.0
00d9d000-00dad000 r-xp 00000000 16:01 64552331   /lib/libpthread-2.4.so
00dad000-00dae000 r-xp 0000f000 16:01 64552331   /lib/libpthread-2.4.so
00dae000-00daf000 rwxp 00010000 16:01 64552331   /lib/libpthread-2.4.so
00daf000-00db1000 rwxp 00daf000 00:00 0 
00dbd000-00dc4000 r-xp 00000000 16:08 128013652  /usr/lib/libfam.so.0.0.0
00dc4000-00dc5000 rwxp 00006000 16:08 128013652  /usr/lib/libfam.so.0.0.0
00dc7000-00df1000 r-xp 00000000 16:08 127217294  /usr/lib/libvcard.so.0.0.0
00df1000-00df3000 rwxp 00029000 16:08 127217294  /usr/lib/libvcard.so.0.0.0
00df8000-00dfa000 r-xp 00000000 16:01 64552330   /lib/libdl-2.4.so
00dfa000-00dfb000 r-xp 00001000 16:01 64552330   /lib/libdl-2.4.so
00dfb000-00dfc000 rwxp 00002000 16:01 64552330   /lib/libdl-2.4.so
00ed6000-00ed8000 r-xp 00000000 16:08 129312955  /usr/lib/kde3/kabc_file.so
00ed8000-00ed9000 rwxp 00001000 16:08 129312955  /usr/lib/kde3/kabc_file.so
02000000-0212c000 r-xp 00000000 16:01 64552328   /lib/libc-2.4.so
0212c000-0212f000 r-xp 0012b000 16:01 64552328   /lib/libc-2.4.so
0212f000-02130000 rwxp 0012e000 16:01 64552328   /lib/libc-2.4.so
02130000-02133000 rwxp 02130000 00:00 0 
02289000-022a7000 r-xp 00000000 16:08 128719836  /usr/lib/libexpat.so.0.5.0
022a7000-022a9000 rwxp 0001e000 16:08 128719836  /usr/lib/libexpat.so.0.5.0
022ab000-02623000 r-xp 00000000 16:08 128550359  /usr/lib/libkio.so.4.2.0
02623000-02642000 rwxp 00378000 16:08 128550359  /usr/lib/libkio.so.4.2.0
02642000-02643000 rwxp 02642000 00:00 0 
029df000-029ff000 r-xp 00000000 16:08 128723589  /usr/lib/libjpeg.so.62.0.0
029ff000-02a00000 rwxp 0001f000 16:08 128723589  /usr/lib/libjpeg.so.62.0.0
04bb8000-04df7000 r-xp 00000000 16:08 128098679  /usr/lib/libkorganizer.so.1.0.0
04df7000-04e14000 rwxp 0023e000 16:08 128098679  /usr/lib/libkorganizer.so.1.0.0
04e16000-04ee2000 r-xp 00000000 16:08 127695938  /usr/lib/libkleopatra.so.1.0.0
04ee2000-04eed000 rwxp 000cb000 16:08 127695938  /usr/lib/libkleopatra.so.1.0.0
04eef000-04fc9000 r-xp 00000000 16:08 127109750  /usr/lib/libkdeprint.so.4.2.0
04fc9000-04fd2000 rwxp 000d9000 16:08 127109750  /usr/lib/libkdeprint.so.4.2.0
04fd4000-05146000 r-xp 00000000 16:08 128064634  /usr/lib/libkdepim.so.1.0.0
05146000-05157000 rwxp 00171000 16:08 128064634  /usr/lib/libkdepim.so.1.0.0
05157000-05158000 rwxp 05157000 00:00 0 
05671000-056d7000 r-xp 00000000 16:08 126569567  /usr/lib/libfreetype.so.6.3.8
056d7000-056da000 rwxp 00066000 16:08 126569567  /usr/lib/libfreetype.so.6.3.8
05f54000-05f87000 r-xp 00000000 16:08 127899321  /usr/lib/libfontconfig.so.1.0.4
05f87000-05f8b000 rwxp 00032000 16:08 127899321  /usr/lib/libfontconfig.so.1.0.4
05f8b000-05f8c000 rwxp 05f8b000 00:00 0 
069db000-06a00000 r-xp 00000000 16:08 128204371  /usr/lib/libpng12.so.0.1.2.9
06a00000-06a01000 rwxp 00024000 16:08 128204371  /usr/lib/libpng12.so.0.1.2.9
06d08000-06d20000 r-xp 00000000 16:08 127930987  /usr/lib/libart_lgpl_2.so.2.3.16
06d20000-06d21000 rwxp 00017000 16:08 127930987  /usr/lib/libart_lgpl_2.so.2.3.16
0733a000-0734b000 r-xp 00000000 16:08 127359704  /usr/lib/libz.so.1.2.3
0734b000-0734c000 rwxp 00010000 16:08 127359704  /usr/lib/libz.so.1.2.3
073bf000-07bec000 r-xp 00000000 16:08 8773329   
/usr/lib/qt-3.3/lib/libqt-mt.so.3.3.6
07bec000-07c2d000 rwxp 0082d000 16:08 8773329   
/usr/lib/qt-3.3/lib/libqt-mt.so.3.3.6
07c2d000-07c30000 rwxp 07c2d000 00:00 0 
07c32000-07f40000 r-xp 00000000 16:08 128121582  /usr/lib/libkdeui.so.4.2.0
07f40000-07f6b000 rwxp 0030e000 16:08 128121582  /usr/lib/libkdeui.so.4.2.0
07fad000-07fd0000 r-xp 00000000 16:01 64552332   /lib/libm-2.4.so
07fd0000-07fd1000 r-xp 00022000 16:01 64552332   /lib/libm-2.4.so
07fd1000-07fd2000 rwxp 00023000 16:01 64552332   /lib/libm-2.4.so
08048000-08054000 r-xp 00000000 16:08 88453149   /usr/bin/korganizer
08054000-08127000 rw-p 0000c000 16:08 88453149   /usr/bin/korganizer
0999d000-09b68000 rw-p 0999d000 00:00 0          [heap]
b7a00000-b7a21000 rw-p b7a00000 00:00 0 
b7a21000-b7b00000 ---p b7a21000 00:00 0 
b7b27000-b7b6a000 r--p 00000000 16:08 42961873  
/usr/share/fonts/bitmap-fonts/6x12.pcf
b7b6a000-b7c9a000 r--s 00000000 16:07 25384299   /var/tmp/kdecache-safari/ksycoca
b7c9a000-b7cc3000 r--p 00000000 16:08 51374790  
/usr/share/locale/fi/LC_MESSAGES/kdelibs.mo
b7cc3000-b7cc7000 r--s 00001000 16:08 63481409  
/usr/share/X11/fonts/OTF/fonts.cache-2
b7cc7000-b7cce000 r--s 00001000 16:08 63440315  
/usr/share/X11/fonts/Type1/fonts.cache-2
b7cce000-b7d19000 r--s 00001000 16:01 17060770   /home/safari/.fonts.cache-2
b7d19000-b7d26000 r--s 00001000 16:08 43535596  
/usr/share/fonts/bitmap-fonts/fonts.cache-2
b7d26000-b7d27000 r--s 00001000 16:08 35996186  
/usr/share/fonts/bengali/fonts.cache-2
b7d27000-b7d2d000 r--s 00001000 16:08 26125996  
/usr/share/fonts/hebrew/fonts.cache-2
b7d2d000-b7d31000 r--s 00001000 16:08 18078528  
/usr/share/fonts/arabic/fonts.cache-2
b7d31000-b7d4b000 r--s 00001000 16:08 9593441   
/usr/share/fonts/truetype/fonts.cache-2
b7d4b000-b7d6e000 r--s 00001000 16:08 59502554  
/usr/share/fonts/ISO8859-2/100dpi/fonts.cache-2
b7d6e000-b7d91000 r--s 00001000 16:08 51135926  
/usr/share/fonts/ISO8859-2/75dpi/fonts.cache-2
b7d91000-b7d94000 r--s 00001000 16:08 42931571  
/usr/share/fonts/ISO8859-2/misc/fonts.cache-2
b7d94000-b7d96000 r--s 00001000 16:08 128161484 
/usr/share/fonts/xmath/fonts.cache-2
b7d96000-b7da2000 r--s 00001000 16:08 119249748 
/usr/share/fonts/KOI8-R/100dpi/fonts.cache-2
b7da2000-b7fa2000 r--p 00000000 16:08 26081089   /usr/lib/locale/locale-archive
b7fa2000-b7fb1000 rw-p b7fa2000 00:00 0 
b7fb1000-b7fc7000 r--s 00001000 16:08 110118502 
/usr/share/fonts/KOI8-R/75dpi/fonts.cache-2
b7fc7000-b7fcb000 r--s 00001000 16:08 101679833 
/usr/share/fonts/KOI8-R/misc/fonts.cache-2
b7fcb000-b7fd0000 r--s 00001000 16:08 86874071  
/usr/share/fonts/default/TrueType/fonts.cache-2
b7fd0000-b7fd9000 r--s 00001000 16:08 78387311  
/usr/share/fonts/default/Type1/fonts.cache-2
b7fd9000-b7fdd000 r--s 00001000 16:08 68185574  
/usr/share/fonts/default/ghostscript/fonts.cache-2
b7fdd000-b7fde000 r--p 0069a000 16:08 26081089   /usr/lib/locale/locale-archive
bfbc7000-bfbdd000 rw-p bfbc7000 00:00 0          [stack]
Comment 1 Ngo Than 2006-05-10 09:14:11 EDT
I cannot reproduce this problem with FC5 and rawhide. It seems you have a 
mixed package installation! If you are using packages from rawhide, you should 
please update all packages from there, otherwise it could cause such problem.

Comment 2 Sami Farin 2006-05-10 14:01:29 EDT
For the heck of it, I installed latest packages whose library was shown in the
maps above:
libjpeg attr acl libXinerama libXau libidn libart_lgpl fontconfig freetype expat
and now korganizer seems to work.

And "rpm -V kdepim" did not show libjpeg attr acl libXinerama libXau libidn
libart_lgpl fontconfig freetype or expat needed upgrading, so kdepim
dependencies are broken, it seems.

Note You need to log in before you can comment on or make changes to this bug.